---
title: message
slug: Web/API/MediaKeyMessageEvent/message
tags:
  - API
  - EncryptedMediaExtensions
  - Experimental
  - MediaKeyMessageEvent
  - Property
  - Reference
  - message
---
<div>{{APIRef("EncryptedMediaExtensions")}}{{SeeCompatTable}}</div>

<p>The <strong><code>MediaKeyMessageEvent.message</code></strong> read-only property returns an {{jsxref("ArrayBuffer")}} with a message from the content decryption module. Messages vary by key system.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>messageType</em> = <em>mediaKeyMessageEvent</em>.messageType;</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('EME', '#dom-mediakeymessageevent-message', 'message')}}</td>
   <td>{{Spec2('EME')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.MediaKeyMessageEvent.message")}}</p>
</div>
